Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4353 - xdm lacks support for pam_putenv()
Summary: xdm lacks support for pam_putenv()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL: http://www.engin.umich.edu/caen/syste...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-04 17:26 UTC by wingc
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-18 18:01:51 UTC


Attachments (Terms of Use)

Description wingc 1999-08-04 17:26:09 UTC
Since I saw one other bug requesting PAM changes in xdm
(#3743), I thought I'd add that the PAM-ified xdm lacks
support for pam_putenv(). This means that PAM modules can't
set environment variables in the child process; this breaks
Kerberos PAM modules, etc, etc...

I've been using gdm with a patch to restore pam_putenv()
functionality (see bug #3957).
But, if people want to use xdm, you should add a patch
similar to this one: (this patch is tested with Red Hat 5.2)

http://www.engin.umich.edu/caen/systems/Linux/code/patches/xdm-pam_putenv.patch

Thanks,

Chris Wing
wingc@engin.umich.edu

Comment 1 Preston Brown 1999-08-18 18:01:59 UTC
This will be fixed in an errata release of X (forthcoming in a few
days)


Note You need to log in before you can comment on or make changes to this bug.